// JavaScript Document

// Modifica el layout segn el ancho de la ventana del agente
// Basado en la tcnica de Simon Collinson
// http://www.colly.com/comments/redesign-notes-1-width-based-layout/


wraphandler = {
  init: function() {
    if (!document.getElementById) return;
    // Seteamos el wrapper
    wraphandler.setWrapper();
    // Si se resizea la ventana, lo aplicamos de nuevo
    wraphandler.addEvent(window,"resize",wraphandler.setWrapper);
  },

  setWrapper: function() {
    var theWidth = 0;
    if (window.innerWidth) {
	theWidth = window.innerWidth
    } else if (document.documentElement &&
                document.documentElement.clientWidth) {
	theWidth = document.documentElement.clientWidth
    } else if (document.body) {
	theWidth = document.body.clientWidth
    }
    if (theWidth != 0) {
      if (theWidth < 980) { 
        document.getElementById('Wrap').className = 'r800';
      } else {
        document.getElementById('Wrap').className = 'r1024';
      }
    }
  },

  addEvent: function( obj, type, fn ) {
    if ( obj.attachEvent ) {
      obj['e'+type+fn] = fn;
      obj[type+fn] = function(){obj['e'+type+fn]( window.event );}
      obj.attachEvent( 'on'+type, obj[type+fn] );
    } else {
      obj.addEventListener( type, fn, false );
    }
  }
}

wraphandler.addEvent(window,"load",wraphandler.init);